gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.ProximityEvent

Contents

- Exported types
- Methods

Description

An event related to the proximity of a tool to a device.

Synopsis

- newtype ProximityEvent = ProximityEvent (ManagedPtr ProximityEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ProximityEvent o) => IsProximityEvent o
- toProximityEvent :: (MonadIO m, IsProximityEvent o) => o -> m ProximityEvent

# Exported types

newtype ProximityEvent Source #

Memory-managed wrapper type.

Constructors

ProximityEvent (ManagedPtr ProximityEvent) |

#### Instances

Instances details

Eq ProximityEvent Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent Methods (==) :: ProximityEvent -> ProximityEvent -> Bool Source # (/=) :: ProximityEvent -> ProximityEvent -> Bool Source #
BoxedPtr ProximityEvent Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent Methods boxedPtrCopy :: ProximityEvent -> IO ProximityEvent Source # boxedPtrFree :: ProximityEvent -> IO () Source #
ManagedPtrNewtype ProximityEvent Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent Methods toManagedPtr :: ProximityEvent -> ManagedPtr ProximityEvent Source #
TypedObject ProximityEvent Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent Methods glibType :: IO GType Source #
HasParentTypes ProximityEvent Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent
type ParentTypes ProximityEvent Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent type ParentTypes ProximityEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf ProximityEvent o) => IsProximityEvent o Source #

Type class for types which can be safely cast to `ProximityEvent`, for instance with `toProximityEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ProximityEvent o) => IsProximityEvent o Source # |
Instance details Defined in GI.Gdk.Objects.ProximityEvent

toProximityEvent :: (MonadIO m, IsProximityEvent o) => o -> m ProximityEvent Source #

Cast to `ProximityEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getHistory, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.